Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.optaplanner.core.impl.heuristic.selector.move.composite
Class CompositeMoveSelector

    java.lang.Object
      org.optaplanner.core.impl.heuristic.selector.AbstractSelector
          org.optaplanner.core.impl.heuristic.selector.move.AbstractMoveSelector
              org.optaplanner.core.impl.heuristic.selector.move.composite.CompositeMoveSelector

All Implemented Interfaces:
  Iterable<Move>, EventListener, IterableSelector<Move>, MoveSelector, Selector, SolverPhaseLifecycleListener, SolverLifecycleListener

Direct Known Subclasses:
  CartesianProductMoveSelector, UnionMoveSelector

    public abstract class CompositeMoveSelector

extends AbstractMoveSelector

Abstract superclass for every composite `MoveSelector`.

See Also:
  `MoveSelector`

Field Summary
`protected List<MoveSelector>` | `childMoveSelectorList`
`protected boolean` | `randomSelection`

Fields inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`logger, solverPhaseLifecycleSupport, workingRandom`

Constructor Summary
`protected` | `CompositeMoveSelector(List<MoveSelector> childMoveSelectorList, boolean randomSelection)`

Method Summary
`boolean` | `isContinuous()` If true, then `Selector.isNeverEnding()` is also true.
`String` | `toString()`

Methods inherited from class org.optaplanner.core.impl.heuristic.selector.AbstractSelector
`getCacheType, phaseEnded, phaseStarted, solvingEnded, solvingStarted, stepEnded, stepStarted`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.IterableSelector
`getSize`

Methods inherited from interface org.optaplanner.core.impl.heuristic.selector.Selector
`getCacheType, isNeverEnding`

Methods inherited from interface org.optaplanner.core.impl.phase.event.SolverPhaseLifecycleListener
`phaseEnded, phaseStarted, stepEnded, stepStarted`

Methods inherited from interface org.optaplanner.core.impl.solver.event.SolverLifecycleListener
`solvingEnded, solvingStarted`

Methods inherited from interface java.lang.Iterable
`iterator`

Field Detail

### childMoveSelectorList

    protected final List<MoveSelector> childMoveSelectorList

### randomSelection

    protected final boolean randomSelection

Constructor Detail

### CompositeMoveSelector

    protected CompositeMoveSelector(List<MoveSelector> childMoveSelectorList,
                                    boolean randomSelection)

Method Detail

### isContinuous

    public boolean isContinuous()

  Description copied from interface: `Selector`
  If true, then `Selector.isNeverEnding()` is also true.

  Returns:
    true if any of the value ranges are continuous (as in for example every double value between 1.2 and 1.4)

### toString

    public String toString()

  Overrides:
    `toString` in class `Object`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| OptaPlanner distribution 6.0.0.CR4
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2006-2013 JBoss by Red Hat. All Rights Reserved.